from django.contrib.auth.models import AbstractUser
from django.db import models

# Create your models here.


class Department(models.Model):
    name = models.CharField(max_length=128, verbose_name='部门名称')
    parent_id = models.IntegerField(verbose_name='上级部门id', null=True, blank=True)
    is_active = models.BooleanField(default=True, verbose_name="是否启用")
    status = models.IntegerField(verbose_name='状态', default=1)
    insert_time = models.DateTimeField(auto_now_add=True, verbose_name='插入时间')
    update_time = models.DateTimeField(auto_now=True, verbose_name='更新时间')

    class Meta:
        db_table = 'department'


class UserProfile(AbstractUser):
    GENDER = ((0, '女'), (1, '男'))
    organization = models.CharField(max_length=256, verbose_name='组织', null=True, blank=True)
    gender = models.IntegerField(choices=GENDER, default=1, verbose_name='性别')
    phone_number = models.CharField(max_length=12, verbose_name='手机号', null=True, blank=True)
    head_sculpture = models.CharField(max_length=512, verbose_name='头像', blank=True, null=True)
    status = models.IntegerField(verbose_name='状态', default=1)
    department = models.ForeignKey(Department, on_delete=models.DO_NOTHING, null=True)
    insert_time = models.DateTimeField(auto_now_add=True, verbose_name='插入时间')
    update_time = models.DateTimeField(auto_now=True, verbose_name='更新时间')

    class Meta:
        db_table = 'xznsh_user'


