from django.urls import path, include, re_path
from rest_framework.routers import DefaultRouter
from user import views

router = DefaultRouter()
router.register('departments', views.DepartmentViewSet)

urlpatterns = [
    path('trees/', views.DepartmentViewSet.as_view({"get": "get_trees"})),
    path('login/', views.LoginView.as_view({"post": "login"})),
    path('users/', views.UserViewSet.as_view({"post": "create", "get": "list"})),
    path('users/<str:pk>/', views.UserViewSet.as_view({'get': 'retrieve',
                                                       'put': 'update',
                                                       'delete': 'destroy'})),
]

urlpatterns += router.urls
